Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/file_def_nemo-lim3.xml
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/file_def_nemo-lim3.xml	(revision 4430)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/file_def_nemo-lim3.xml	(revision 4446)
@@ -10,5 +10,5 @@
   -->
     
-    <file_definition type="one_file" name="@expname@_@freq@_@startdate@_@enddate@" sync_freq="1d" min_digits="4" compression_level="4" >
+    <file_definition type="one_file" name="@expname@_@freq@" sync_freq="1d" min_digits="4" compression_level="4" >
     
       <file_group id="1ts_lim" output_freq="1ts"  output_level="10" enabled=".TRUE."/> <!-- 1 time step files -->
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/file_def_nemo-opa.xml
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/file_def_nemo-opa.xml	(revision 4430)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/file_def_nemo-opa.xml	(revision 4446)
@@ -295,6 +295,6 @@
 	  <field field_ref="e3u"  />
 	  <field field_ref="ssu"          name="uos"     long_name="sea_surface_x_velocity"  level="2"   />
-	  <field field_ref="uoce"         name="uo"      long_name="sea_water_x_velocity" operation="average" freq_op="1mo" level="2" > @uoce_e3u / @e3u </field>
-	  <field field_ref="utau"         name="tauuo"   long_name="surface_downward_x_stress" level="2" />
+	  <field field_ref="uoce"         name="uo"      long_name="sea_water_x_velocity" operation="average" freq_op="1mo" level="1" > @uoce_e3u / @e3u </field>
+	  <field field_ref="utau"         name="tauuo"   long_name="surface_downward_x_stress" level="1" />
           <field field_ref="uocetr_eff"   name="uocetr_eff"  level="2" />
           <field field_ref="ahu_bbl"       />
@@ -308,6 +308,6 @@
 	  <field field_ref="e3v"  />
 	  <field field_ref="ssv"          name="vos"     long_name="sea_surface_y_velocity"    level="2" />
-	  <field field_ref="voce"         name="vo"      long_name="sea_water_y_velocity" operation="average" freq_op="1mo" level="2" > @voce_e3v / @e3v </field>
-	  <field field_ref="vtau"         name="tauvo"   long_name="surface_downward_y_stress" level="2" />
+	  <field field_ref="voce"         name="vo"      long_name="sea_water_y_velocity" operation="average" freq_op="1mo" level="1" > @voce_e3v / @e3v </field>
+	  <field field_ref="vtau"         name="tauvo"   long_name="surface_downward_y_stress" level="1" />
           <field field_ref="vocetr_eff"   name="vocetr_eff" level="2"  />
           <field field_ref="ahv_bbl"       />
@@ -320,5 +320,5 @@
 	<file id="file7" name_suffix="_grid_W" description="ocean W grid variables" >
 	  <field field_ref="e3w"  level="2" />
-	  <field field_ref="woce"         name="wo"    level="2"  />
+	  <field field_ref="woce"         name="wo"    level="1"  />
 	  <field field_ref="avt"          name="difvho"  long_name="ocean_vertical_heat_diffusivity" level="2" />
 	  <!-- avs: available with key_zdfddm -->
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namcouple_ORCA025xLMD256256
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namcouple_ORCA025xLMD256256	(revision 4446)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namcouple_ORCA025xLMD256256	(revision 4446)
@@ -0,0 +1,442 @@
+###############################################################################
+#
+#      Input file for OASIS3
+# 
+#      This version is for use with IPSL_CM4_v1 
+#
+#      The file will be edited at runtime to update it for
+#         - the initial date of the run
+#
+###############################################################################
+#  
+#      Input delimiters have to occupy position 1 to 9 !
+#      No blank lines allowed !
+#      Length of input lines <= 80 !
+#
+###############################################################################
+#
+# NFIELDS : total number of fields being exchanged.
+#
+ $NFIELDS
+            27
+ $END
+###############################################################################
+#
+# NBMODEL : number of models and their names (CHAR*6).
+#
+ $NBMODEL
+  2  LMDZ oceanx
+ $END
+###############################################################################
+# 
+# RUNTIME: total simulated time for the actual run in seconds (<I8)
+#
+ $RUNTIME
+  <total_time>
+ $END
+###############################################################################
+#
+# NLOGPRT: printing level in debug file : 
+#
+ $NLOGPRT
+   0 <lucia_ok>
+ $END
+# 
+###############################################################################
+ $STRINGS
+###############################################################################
+#
+#                      OCEAN  --->>>  ATMOS
+#                      --------------------
+# Field 1 : Weighted sea surface temperature (o->a 1)
+# 
+O_SSTSST  SISUTESW 1 <freq_coupling>  2  sstoc.nc  <output_mode> 
+1442 1207 256 257 torc  tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+# LOCTRANS: AVERAGE to average value over coupling period
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Mozaic: 1) mapping filename 2) connected unit 3) dataset rank 4) Maximum
+#         number of overlapped neighbors
+rmp_torc_to_tlmd_TempIceAlb.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 2 : Sea ice extent  (o->a 2)
+#
+OIceFrc SIICECOV 44 <freq_coupling>  2  sstoc.nc <output_mode>
+1442 1207 256 257 torc  tlmd   LAG=<lag_oce>
+P  2 P  0
+#
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_TempIceAlb.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#
+############################################################################
+#
+# Field 3 : Weighted Sea Ice Temperature (o->a 3)
+#
+O_TepIce  SIICTEMW 34 <freq_coupling>  2  sstoc.nc  <output_mode>
+1442 1207 256 257 torc  tlmd   LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# 
+rmp_torc_to_tlmd_TempIceAlb.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 4 : Weighted Sea ice albedo (o->a 4)
+#
+O_AlbIce  SIICEALW 17 <freq_coupling>  2  sstoc.nc  <output_mode>
+1442 1207 256 257 torc  tlmd  LAG=<lag_oce>  
+P  2 P  0
+#
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_TempIceAlb.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#
+############################################################################
+#
+# Field 5 : Current surface (o->a 5)
+O_OCurx1 CURRENTX 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+1442 1207 256 257 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_TempIceAlb.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#
+############################################################################
+#
+# Field 6 : Current surface (o->a 6)
+O_OCury1 CURRENTY 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+1442 1207 256 257 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_TempIceAlb.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#  
+############################################################################
+#
+# Field 7 : Current surface (o->a 7)
+O_OCurz1 CURRENTZ 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+1442 1207 256 257 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_TempIceAlb.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#
+############################################################################
+#
+#                      ATMOSPHERE  --->>>  OCEAN
+#                      -------------------------
+############################################################################   
+#
+# Field 8 : wind stress along X axis (a->o 1)
+#
+COTAUXXU O_OTaux1 23 <freq_coupling>  1  flxat.nc   <output_mode>
+256 257 1442 1207 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_WindStress.nc  dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 9 : stress along Y axis (a->o 2)
+#
+COTAUYYU O_OTauy1 23 <freq_coupling>  1  flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_WindStress.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 10 :wind stress along Z axis (a->o 3)
+#
+COTAUZZU O_OTauz1 23 <freq_coupling>  1  flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_WindStress.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 11 : wind stress along X axis 2 (a->o 4)
+#
+COTAUXXV O_OTaux2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    vorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+rmp_tlmd_to_vorc_WindStress.nc dst 
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 12 : wind stress along Y axis 2 (a->o 5) 
+#
+COTAUYYV O_OTauy2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    vorc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+rmp_tlmd_to_vorc_WindStress.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 13 :  wind stress along Z axis 2 (a->o 6) 
+#
+COTAUZZV O_OTauz2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    vorc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+rmp_tlmd_to_vorc_WindStress.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+# Field 14 :  wind speed 10m (a->o 7) 
+#
+COWINDSP O_Wind10  56 <freq_coupling>  1    flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_HeatWaterFluxes.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+# 
+#########################################################################
+#
+# Field 15 : Total rain (a->o 8)
+#
+COTOTRAI OTotRain 26 <freq_coupling>  1   flxat.nc   <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_HeatWaterFluxes.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 16 :  Total snow (a->o 9)
+#
+COTOTSNO  OTotSnow 28 <freq_coupling>  1   flxat.nc   <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_HeatWaterFluxes.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 17 : Total evap (a->o 10)
+#
+COTOTEVA  OTotEvap 25 <freq_coupling>  1   flxat.nc   <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_HeatWaterFluxes.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 18 : Evaporation Ice  (a->o 11)
+#
+COICEVAP OIceEvap 41 <freq_coupling>  1   flxat.nc   <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_HeatWaterFluxes.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 19 : Total solar heat flux (a->o 12)
+#
+COQSRMIX O_QsrMix  7 <freq_coupling> 1   flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method or mozaic parameters
+rmp_tlmd_to_torc_HeatWaterFluxes.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 20 : Total Non solar heat flux (a->o 13)
+#
+COQNSMIX O_QnsMix 6 <freq_coupling>  1   flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    torc   LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_HeatWaterFluxes.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 21 : solar heat flux on ice (a->o 14)
+#
+COSHFICE O_QsrIce  7 <freq_coupling> 1   flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method or mozaic parameters
+rmp_tlmd_to_torc_HeatWaterFluxes.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 22 : Non solar heat flux on ice (a->o 15)
+#
+CONSFICE O_QnsIce 6 <freq_coupling>  1  flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_HeatWaterFluxes.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 23 : Non solar heat flux derivative (a->o 16)
+#
+CODFLXDT O_dQnsdT  35 <freq_coupling>  1   flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_HeatWaterFluxes.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 24 : iceberg calving north (a->o 17)
+#
+COCALVIN OCalving  36 <freq_coupling_roff_calv>  2  flxat.nc  <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_calving_nosouth.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 25 : iceberg melting (a->o 17)
+#
+COCALVIN OIceberg  36 <freq_coupling_roff_calv>  3  icbrg.nc  <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING BLASNEW
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_calving_iceberg.nc dst
+0.5 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#########################################################################
+#
+# Field 26 : ice shelf melting (a->o 17)
+#
+COCALVIN OIcshelf  36 <freq_coupling_roff_calv>  3  icshf.nc  <output_mode>
+256 257 1442 1207 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING BLASNEW
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_calving_iceshelf.nc dst
+0.5 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+##########################################################################
+#
+# Field 27 : liquid run-off (river + direct)  (a->o 18)
+#
+COLIQRUN  O_Runoff 32 <freq_coupling_roff_calv>  4  flxat.nc   <output_mode>
+256 257 1442 1207 olmd  torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING CONSERV BLASNEW
+AVERAGE
+# Interpolation method ou parametres mozaic
+# weights convert from kg/s to kg/m^2/s
+rmp_tlmd_to_torc_runoff.nc dst
+# CONSERV
+GLOBAL bfb
+# change units from m/s to kg/s
+1000.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+# Field 26 : wind stress module (a->o 19)
+#
+##COTAUMOD  O_TauMod 466 <freq_coupling>  6   flxat.nc   <output_mode>
+##tlmd    torc  LAG=<lag_atm> 
+##P  0 P  2
+##INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+##NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+## INT=1
+# Mask value
+##888888.
+# Extrapolation method
+##NINENN 2 1 1
+# Interpolation method
+##BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+## INT=1
+#
+#########################################################################
+#
+ $END
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA025_cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA025_cfg	(revision 4446)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA025_cfg	(revision 4446)
@@ -0,0 +1,419 @@
+
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/OPA  Configuration namelist : used to overwrite defaults values defined in SHARED/namelist_ref
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!
+!-----------------------------------------------------------------------
+&namrun        !   parameters of the run
+!-----------------------------------------------------------------------
+   cn_exp      = _AUTOBLOCKER_    !  Experience name
+   nn_it000    = _AUTOBLOCKER_    !  First time step
+   nn_itend    = _AUTOBLOCKER_    !  Last  time step
+   nn_date0    = _AUTOBLOCKER_    !  Date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
+   nn_leapy    = _AUTOBLOCKER_    !  Leap year calendar (1) or not (0)
+   ln_rstart   = _AUTOBLOCKER_    !  start from rest (F) or from a restart file (T)
+   ln_rstart_ts = _AUTOBLOCKER_   !  start from rest for current only (F) or from a restart file (T)
+   nn_rstctl   = _AUTOBLOCKER_    !  Restart control => activated only if ln_rstart = T
+                           !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+                           !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+                           !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
+   cn_ocerst_in  = "restartopa"   !  Suffix of ocean restart name (input)
+   cn_ocerst_indir = "."       !  directory from which to read input ocean restarts
+   cn_ocerst_out = "restart"      !  Suffix of ocean restart name (output)
+   cn_ocerst_outdir = "."      !  directory in which to write output ocean restarts
+   nn_istate   =       0   !  Output the initial state (1) or not (0)
+   nn_stock    =  _AUTOBLOCKER_   !  Frequency of creation of a restart file (modulo referenced to 1)
+   nn_write    =    5475   !  Requency of write in the output file   (modulo referenced to nn_it000)
+   ln_mskland  = .true.    !  Masks land points in NetCDF outputs
+   ln_mskutil  = .true.    !  Outputs without halos
+   ln_cfmeta   = .true.    !  output additional data to netCDF files required for compliance with the CF metadata standard
+/
+!-----------------------------------------------------------------------
+&namcfg        !   parameters of the configuration
+!-----------------------------------------------------------------------
+   cp_cfg      =  "orca"               !  name of the configuration
+   jp_cfg      =     025               !  resolution of the configuration
+   jpidta      =    1442               !  1st lateral dimension ( >= jpi )
+   jpjdta      =    1207               !  2nd    "         "    ( >= jpj )
+   jpkdta      =      75               !  number of levels      ( >= jpk )
+   jpiglo      =    1442               !  1st dimension of global domain --> i =jpidta
+   jpjglo      =    1207               !  2nd    -                  -    --> j  =jpjdta
+   jperio      =       6               !  lateral cond. type (between 0 and 6)
+/
+!-----------------------------------------------------------------------
+&namzgr        !   vertical coordinate
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzgr_sco    !   s-coordinate or hybrid z-s-coordinate
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdom        !   space and time domain (bathymetry, mesh, timestep)
+!-----------------------------------------------------------------------
+   nn_closea    =   1      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
+   ln_clodyn    =  _AUTOBLOCKER_      !  
+   !
+   jphgr_msh   =       0               !  type of horizontal mesh
+   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
+   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
+   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
+   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
+   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
+   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
+   ppsur       =   -3958.951371276829  !  ORCA r4, r2 and r05 coefficients
+   ppa0        =     103.9530096000000 ! (default coefficients)
+   ppa1        =       2.415951269000000   !
+   ppkth       =      15.35101370000000    !
+   ppacr       =       7.0             !
+   ppdzmin     =  999999.0             !  Minimum vertical spacing
+   pphmax      =  999999.0             !  Maximum depth
+   ppa2        =     100.7609285000000 !  Double tanh function parameters
+   ppkth2      =      48.02989372000000    !
+   ppacr2      =      13.00000000000   !
+   rn_rdt      =  900.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_hmin     =   10.     !  min depth of the ocean (>0) or min number of ocean level (<0)
+   rn_e3zps_min=   25.     !  partial step thickness is set larger than the minimum of
+   rn_e3zps_rat=    0.1    !  rn_e3zps_min and rn_e3zps_rat*e3t, with 0<rn_e3zps_rat<1
+   nn_msh = _AUTO_   !  AUTO - Create (=1) a mesh file or not (=0)
+/
+!-----------------------------------------------------------------------
+&namsplit       
+!----------------------------------------------------------------------- 
+   ln_bt_fw      =    .FALSE.          !  leap-frog integration of barotropic equations
+   ln_bt_av      =    .TRUE.           !  Time filtering of barotropic variables
+   ln_bt_nn_auto =    .TRUE.           !  Set nn_baro automatically to be just below
+                                       !  a user defined maximum courant number (rn_bt_cmax)
+   nn_baro       =    80               !  Number of iterations of barotropic mode
+                                       !  during rn_rdt seconds. Only used if ln_bt_nn_auto=F
+   rn_bt_cmax    =    0.8              !  Maximum courant number allowed if ln_bt_nn_auto=T 
+   nn_bt_flt     =    1                !  Time filter choice
+                                       !  = 0 None
+                                       !  = 1 Boxcar over   nn_baro barotropic steps
+                                       !  = 2 Boxcar over 2*nn_baro     "        
+/
+!-----------------------------------------------------------------------
+&namcrs        !   Grid coarsening for dynamics output and/or
+               !   passive tracer coarsened online simulations
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtsd    !   data : Temperature  & Salinity
+!-----------------------------------------------------------------------
+   ln_tsd_tradmp = .false.  !  damping of ocean T & S toward T &S input data (T) or not (F)
+   sn_tem = 'conservative_temperature_WOA13_decav_Reg1L75_clim' , -1,  'votemper',  .false.       , .true., 'yearly'   , 'weights_3D_WOA13d1_2_eorca025_bilinear.nc', ' ' ,''  !
+   sn_sal = 'absolute_salinity_WOA13_decav_Reg1L75_clim'        , -1,  'vosaline',  .false.       , .true., 'yearly'   , 'weights_3D_WOA13d1_2_eorca025_bilinear.nc', ' ' ,''  !
+/
+!-----------------------------------------------------------------------
+&namsbc        !   Surface Boundary Condition (surface module)
+!-----------------------------------------------------------------------
+   nn_fsbc     =  2        !  frequency of surface boundary condition computation
+                           !     (also = the frequency of sea-ice model call)
+   ln_blk_core = .false.   !  CORE bulk formulation                     (T => fill namsbc_core)
+   ln_cpl      = .true.    !  atmosphere coupled   formulation          ( requires key_oasis3 )
+   nn_limflx =   2         !  LIM3 Multi-category heat flux formulation (use -1 if LIM3 is not used)
+                           !  =-1  Use per-category fluxes, bypass redistributor, forced mode only, not yet implemented coupled
+                           !  = 0  Average per-category fluxes (forced and coupled mode)
+                           !  = 1  Average and redistribute per-category fluxes, forced mode only, not yet implemented coupled
+                           !  = 2  Redistribute a single flux over categories (coupled mode only)
+   nn_ice_embd = 1         !  AUTO - 
+                           !  =0 levitating ice (no mass exchange, concentration/dilution effect)
+                           !  =1 levitating ice with mass and salt exchange but no presure effect
+                           !  =2 embedded sea-ice (full salt and mass exchanges and pressure)
+   ln_rnf      = .false.   !  runoffs                                   (T => fill namsbc_rnf)
+   ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
+   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
+   nn_isf      = 3         !  ice shelf melting/freezing                (/=0 => fill namsbc_isf)
+                           !  3 = rnf file for isf
+!-----------------------------------------------------------------------
+&namsbc_core   !   namsbc_core  CORE bulk formulae
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtra_qsr    !   penetrative solar radiation
+!-----------------------------------------------------------------------
+   sn_chl      ='merged_ESACCI_BIOMER4V1R1_CHL_REG05',  -1  , 'CHLA' , .true. , .true. , 'yearly' , 'weights_reg05_2_eorca025_bilinear.nc' , '' , ''
+   ln_traqsr   = .true.    !  Light penetration (T) or not (F)
+   ln_qsr_rgb  = .true.    !  RGB (Red-Green-Blue) light penetration
+   ln_qsr_2bd  = .false.   !  2 bands              light penetration
+/
+!-----------------------------------------------------------------------
+&namsbc_rnf    !   runoffs namelist surface boundary condition
+!-----------------------------------------------------------------------
+!              !  file name           ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !                      !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_rnf      = 'eORCA_R025_runoff_v1.2',        -1         , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''  , ''
+   sn_i_rnf    = 'eORCA_R025_runoff_v1.2',        -1         , 'Icb_flux',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_cnf      = 'eORCA_R025_runoff_v1.2',         0         , 'socoefr' ,   .false.    , .true. , 'yearly'  , ''       , ''  , ''
+   sn_s_rnf    = 'eORCA_R025_runoff_v1.2',        24         , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''  , ''
+   sn_t_rnf    = 'eORCA_R025_runoff_v1.2',        24         , 'rotemper',   .true.     , .true. , 'yearly'  , ''       , ''  , ''
+   sn_dep_rnf  = 'eORCA_R025_runoff_v1.2',         0         , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''  , ''
+!
+   ln_rnf_icb   = .false.    !  read in iceberg flux
+   ln_rnf_mouth = .false.    !  specific treatment at rivers mouths
+   ln_rnf_depth = .false.     !  read in depth information for runoff
+   ln_rnf_tem   = .false.    !  read in temperature information for runoff
+   ln_rnf_sal   = .false.    !  read in salinity information for runoff
+   ln_rnf_depth_ini = .true. !  compute depth at initialisation from runoff file
+   rn_rnf_max   = 0.027394   !  max value of the runoff climatology over global domain ( if ln_rnf_depth_ini = .true )
+   rn_dep_max = 150.         !  depth over which runoffs is spread ( ln_rnf_depth_ini = .true )
+   nn_rnf_depth_file = _AUTO_  ! create (=1) a runoff depth file or not (=0)
+/
+!-----------------------------------------------------------------------
+&namsbc_isf    !  Top boundary layer (ISF)
+!-----------------------------------------------------------------------
+!              ! file name ! frequency (hours) ! variable ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !           !  (if <0  months)  !   name   !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+!              !
+   sn_rnfisf     = 'eORCA_R025_runoff_v1.2' ,   -12      ,'sornfisf',    .false.      , .true.  , 'yearly'  ,  ''      ,   ''
+   sn_depmax_isf = 'eORCA_R025_runoff_v1.2' ,   -12      ,'sodepmax_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+   sn_depmin_isf = 'eORCA_R025_runoff_v1.2' ,   -12      ,'sodepmin_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+/
+!-----------------------------------------------------------------------
+&namsbc_apr    !   Atmospheric pressure used as ocean forcing or in bulk
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_ssr    !   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+/
+!-----------------------------------------------------------------------
+&namsbc_alb    !   albedo parameters
+!-----------------------------------------------------------------------
+   nn_ice_alb   =    1   !  parameterization of ice/snow albedo
+                         !     0: Shine & Henderson-Sellers (JGR 1985), giving clear-sky albedo
+                         !     1: "home made" based on Brandt et al. (JClim 2005) and Grenfell & Perovich (JGR 2004),
+                         !        giving cloud-sky albedo
+   rn_alb_sdry  =  0.85  !  dry snow albedo         : 0.80 (nn_ice_alb = 0); 0.85 (nn_ice_alb = 1); obs 0.85-0.87 (cloud-sky)
+   rn_alb_smlt  =  0.75  !  melting snow albedo     : 0.65 ( '' )          ; 0.75 ( '' )          ; obs 0.72-0.82 ( '' )
+   rn_alb_idry  =  0.60  !  dry ice albedo          : 0.72 ( '' )          ; 0.60 ( '' )          ; obs 0.54-0.65 ( '' )
+   rn_alb_imlt  =  0.50  !  bare puddled ice albedo : 0.53 ( '' )          ; 0.50 ( '' )          ; obs 0.49-0.58 ( '' )
+/
+!-----------------------------------------------------------------------
+&namsbc_cpl    !   coupling parameters
+!-----------------------------------------------------------------------
+!                    !     description       !  multiple  !    vector   !      vector          ! vector !
+!                    !                       ! categories !  reference  !    orientation       ! grids  !
+! send
+sn_snd_temp   =       'weighted oce and ice' ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_thick  =       'none'                 ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_crt    =       'mixed oce-ice'        ,    'no'    , 'cartesian' , 'eastward-northward' ,  'T'
+sn_snd_co2    =       'none'              ,    'no'    ,     ''      ,         ''           ,   ''
+! receive
+sn_rcv_w10m   =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_taumod =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_tau    =       'mixed oce-ice'        ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'
+sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_qsr    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_qns    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_co2    =       'none'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_icb    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_isf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+
+/
+!-----------------------------------------------------------------------
+&namberg       !   iceberg parameters
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namlbc        !   lateral momentum boundary condition
+!-----------------------------------------------------------------------
+   rn_shlat    =    0.0    !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
+   ln_vorlat   = .false.   !  consistency of vorticity boundary condition with analytical eqs.
+   ln_shlat2d  = .true.    !  use 2D file for shlat
+!              !  file name    ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !               !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_shlat2d  =  'shlat2d.nc' ,  -12             , 'shlat2d' ,  .false.    , .true.  ,  'yearly' , ''       , ''
+/
+!-----------------------------------------------------------------------
+&namcla        !   cross land advection
+!-----------------------------------------------------------------------
+   nn_cla      =    0      !  advection between 2 ocean pts separates by land
+/
+!-----------------------------------------------------------------------
+&nambfr        !   bottom friction
+!-----------------------------------------------------------------------
+   nn_bfr      =    2      !  type of bottom friction :   = 0 : free slip,  = 1 : linear friction
+                           !                              = 2 : nonlinear friction
+   ln_bfr2d    = .true.    !  horizontal variation of the bottom friction coef (read a 2D mask file )
+   rn_bfrien   =    10.    !  local multiplying factor of bfr (ln_bfr2d=T)
+   ln_bfrimp   = .false.   !  implicit bottom friction (requires ln_zdfexp = .false. if true)
+/
+!-----------------------------------------------------------------------
+&nambbc        !   bottom temperature boundary condition
+!-----------------------------------------------------------------------
+   sn_qgh      ='Goutorbe_ghflux.nc',  -12.  , 'gh_flux'    ,   .false.     , .true. , 'yearly'  , 'weights_Goutorbe1_2_eorca025_bilinear.nc'       , ''       , ''
+   !
+   cn_dir      = './'      !  root directory for the location of the runoff files
+   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux
+/
+!-----------------------------------------------------------------------
+&nambbl        !   bottom boundary layer scheme
+!-----------------------------------------------------------------------
+   nn_bbl_ldf  =  1      !  diffusive bbl (=1)   or not (=0)
+   nn_bbl_adv  =  1      !  advective bbl (=1/2) or not (=0)
+   rn_ahtbbl   =  1000.  !  lateral mixing coefficient in the bbl  [m2/s]
+   rn_gambbl   =  10.    !  advective bbl coefficient                 [s]
+/
+!-----------------------------------------------------------------------
+&nameos        !   ocean physical parameters
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtra_adv    !   advection scheme for tracer
+!-----------------------------------------------------------------------
+   ln_traadv_tvd    =  .true.   !  TVD scheme
+/
+!-----------------------------------------------------------------------
+&namtra_adv_mle !  mixed layer eddy parametrisation (Fox-Kemper param)
+!-----------------------------------------------------------------------
+   ln_mle    = .true.      ! (T) use the Mixed Layer Eddy (MLE) parameterisation
+   rn_ce     = 0.3        ! magnitude of the MLE (typical value: 0.06 to 0.08)
+/
+!----------------------------------------------------------------------------------
+&namtra_ldf    !   lateral diffusion scheme for tracers
+!----------------------------------------------------------------------------------
+   !                       !  Coefficients
+   rn_aeiv_0        =  1000.     !  eddy induced velocity coefficient [m2/s]
+   rn_aht_0         =  300.     !  horizontal eddy diffusivity for tracers [m2/s]
+   rn_ahtb_0        =     0.    !  background eddy diffusivity for ldf_iso [m2/s]
+/
+!-----------------------------------------------------------------------
+&namtra_dmp    !   tracer: T & S newtonian damping
+!-----------------------------------------------------------------------
+   ln_tradmp   =  .false.  !  add a damping termn (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namdyn_adv    !   formulation of the momentum advection
+!-----------------------------------------------------------------------
+   ln_dynadv_vec = .false.  !  vector form (T) or flux form (F)
+   nn_dynkeg     = 1       ! scheme for grad(KE): =0   C2  ;  =1   Hollingsworth correction
+   ln_dynadv_ubs = .true. !  flux form - 3rd order UBS      scheme
+/
+!-----------------------------------------------------------------------
+&nam_vvl    !   vertical coordinate options
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
+!-----------------------------------------------------------------------
+   ln_dynvor_ene = .true. !  enstrophy conserving scheme
+   ln_dynvor_een = .false. !  enstrophy conserving scheme
+/
+!-----------------------------------------------------------------------
+&namdyn_hpg    !   Hydrostatic pressure gradient option
+!-----------------------------------------------------------------------
+   ln_hpg_zps  = .false.    !  s-coordinate (standard jacobian formulation)
+   ln_hpg_sco  = .true.    !  s-coordinate (standard jacobian formulation)
+                           !           centered      time scheme  (F)
+/
+!-----------------------------------------------------------------------
+&namdyn_ldf    !   lateral diffusion on momentum
+!-----------------------------------------------------------------------
+   !                       !  Type of the operator :
+   ln_dynldf_lap    =  .false.  !  laplacian operator
+   ln_dynldf_bilap  =  .true.   !  bilaplacian operator
+   !                       !  Direction of action  :
+   ln_dynldf_hor    =  .true.   !  horizontal (geopotential)            (require "key_ldfslp" in s-coord.)
+   !                       !  Coefficient
+   rn_ahm_0_blp     =    -6.4e11  !  horizontal bilaplacian eddy viscosity [m4/s]
+   rn_cmsh          =     0.    !  1 or 0 , if 0 -use only shear for Smagorinsky viscosity
+   rn_ahm_m_blp     =    -1.e12 !  upper limit for bilap  abs(ahm) < min( dx^4/128rdt, rn_ahm_m_blp)
+/
+!-----------------------------------------------------------------------
+&namzdf        !   vertical physics
+!-----------------------------------------------------------------------
+   rn_avm0     =   1.e-4   !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
+   rn_avt0     =   1.e-5   !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
+   nn_havtb    =    1      !  horizontal shape for avtb (=1) or not (=0)
+   ln_zdfevd   = .true.    !  enhanced vertical diffusion (evd) (T) or not (F)
+   nn_evdm     =    1      !  evd apply on tracer (=0) or on tracer and momentum (=1)
+   rn_avevd    =   10.     !  evd mixing coefficient [m2/s]
+/
+!-----------------------------------------------------------------------
+&namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
+!-----------------------------------------------------------------------
+  nn_etau     = 0         !  penetration of tke below the mixed layer (ML) due to internal & intertial waves
+                          !    = 0 no penetration
+                          !    = 1 add a tke source below the ML
+                          !    = 2 add a tke source just at the base of the ML
+                          !    = 3 as = 1 applied on HF part of the stress    ("key_oasis3")
+  nn_mxl0     = 2         ! type of scaling under sea-ice
+                          !    = 0 no scaling under sea-ice
+                          !    = 1 scaling with constant sea-ice thickness
+                          !    = 2  scaling with mean sea-ice thickness
+                          !    = 3  scaling with maximum sea-ice thickness
+  rn_hice    = 10.        ! max constant ice thickness value when scaling under sea-ice ( nn_mxl0=1)
+  ln_lc      = .true.     !  Langmuir cell parameterisation (Axell 2002)
+  rn_lc      =  0.20      !  coef. associated to Langmuir cells
+/
+!-----------------------------------------------------------------------
+&namzdf_ddm    !   double diffusive mixing parameterization             ("key_zdfddm")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_tmx    !   tidal mixing parameterization                        ("key_zdftmx")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_tmx_new    !   new tidal mixing parameterization                ("key_zdftmx_new")
+!-----------------------------------------------------------------------
+   nn_zpyc     = 2         !  pycnocline-intensified dissipation scales as N (=1) or N^2 (=2)
+   ln_mevar    = .true.    !  variable (T) or constant (F) mixing efficiency
+   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namsol        !   elliptic solver / island / free surface
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
+!-----------------------------------------------------------------------
+   ln_nnogather=  .true.   !
+    jpni        =   85      !  jpni   number of processors following i (set automatically if < 1) for eORCA1/IPSLCM6-LR and MR1
+    jpnj        =   47      !  jpnj   number of processors following j (set automatically if < 1) for eORCA1/IPSLCM6-MR1
+    jpnij       =  2489     !  jpnij  number of local domains (set automatically if < 1), 171 for eORCA1/IPSLCM6-MR1
+/
+!-----------------------------------------------------------------------
+&namctl        !   Control prints & Benchmark
+!----------------------------------------------------------------------- 
+/
+!-----------------------------------------------------------------------
+&namptr       !   Poleward Transport Diagnostic
+!-----------------------------------------------------------------------
+   ln_diaptr  = .true.      !  Poleward heat and salt transport (T) or not (F)
+   ln_subbas  = .true.      !  Atlantic/Pacific/Indian basins computation (T) or not
+                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
+/
+!-----------------------------------------------------------------------
+&namhsb       !  Heat and salt budgets
+!-----------------------------------------------------------------------
+   ln_diahsb  = .false.  
+/
+!-----------------------------------------------------------------------
+&namdyn_nept  !   Neptune effect (simplified: lateral and vertical diffusions removed)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_vvl    !   vertical coordinate options
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_gls                !   GLS vertical diffusion                   ("key_zdfgls")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrd        !   diagnostics on dynamics and/or tracer trends
+!              !       and/or mixed-layer trends and/or barotropic vorticity
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsto       ! Stochastic parametrization of EOS
+!-----------------------------------------------------------------------
+/
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA1_cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA1_cfg	(revision 4430)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA1_cfg	(revision 4446)
@@ -52,5 +52,6 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-    nn_closea    =   1      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
+   nn_closea    =   1      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
+   ln_clodyn    =  _AUTOBLOCKER_      !  
    !
    jphgr_msh   =       0               !  type of horizontal mesh
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA1_cfg_IPSLCM6-MR1
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA1_cfg_IPSLCM6-MR1	(revision 4430)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA1_cfg_IPSLCM6-MR1	(revision 4446)
@@ -52,5 +52,6 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-    nn_closea    =   1      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
+   nn_closea    =   1      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
+   ln_clodyn    =  _AUTOBLOCKER_      !  
    !
    jphgr_msh   =       0               !  type of horizontal mesh
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_lim3_ORCA025_cfg_NPv6.1
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_lim3_ORCA025_cfg_NPv6.1	(revision 4446)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_lim3_ORCA025_cfg_NPv6.1	(revision 4446)
@@ -0,0 +1,48 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/LIM-3 : Ice configuration namelist. Overwrites SHARED/namelist_ice_lim3_ref
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+
+!-----------------------------------------------------------------------
+&namicerun     !   Share parameters for dynamics/advection/thermo
+!-----------------------------------------------------------------------
+   cn_icerst_in  = "restart_ice_in" !  suffix of ice restart name (input)
+   ln_limdiahsb  = .false.          !  check the heat and salt budgets (T) or not (F)
+   ln_limdiaout  = .true.            !  output the heat and salt budgets (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namiceini     !   ice initialisation
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namicedyn     !   ice dynamic
+!-----------------------------------------------------------------------
+/
+!------------------------------------------------------------------------------
+&namicehdf     !   Ice horizontal diffusion
+!------------------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namicethd     !   ice thermodynamic
+!-----------------------------------------------------------------------
+   rn_cdsn     = 0.50              !  thermal conductivity of the snow (0.31 W/m/K, Maykut and Untersteiner, 1971)
+                                   !  Obs: 0.1-0.5 (Lecomte et al, JAMES 2013)
+/
+!-----------------------------------------------------------------------
+&namicesal     !   ice salinity
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namiceitdme   !   parameters for mechanical redistribution of ice
+!-----------------------------------------------------------------------
+   rn_astar    =   0.03            !  exponential measure of ridging ice fraction (nn_partfun = 1)
+   rn_hstar    = 25.0             !  determines the maximum thickness of ridged ice (m) (Hibler, 1980)
+/
+!-----------------------------------------------------------------------
+&namicedia     !   ice diagnostics
+!-----------------------------------------------------------------------
+/
+!------------------------------------------------------------------------------
+&namiceitd     !   Ice discretization
+!------------------------------------------------------------------------------
+   rn_himax_bot = 99.             !  max ice thickness in the last category jpl
+/
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/run_file_ORCA025xLMD256256
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/run_file_ORCA025xLMD256256	(revision 4446)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/run_file_ORCA025xLMD256256	(revision 4446)
@@ -0,0 +1,3 @@
+128-8 env OMP_NUM_THREADS=8 ./script_lmdz.x.ksh 
+2489-1 env OMP_NUM_THREADS=1 ./script_opa.xx.ksh 
+12-8 env OMP_NUM_THREADS=1 ./script_xios.x.ksh 
